จุดสิ้นสุด API
https://chimera.market.pna.co.th/api/v1/domains
ขอตัวอย่าง
curl --location --request GET 'https://chimera.market.pna.co.th/api/v1/domains' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name สำหรับ ชื่อ ค่าเริ่มต้นเป็น: name
sort_by
id สำหรับ วันที่สร้าง, name สำหรับ ชื่อ ค่าเริ่มต้นเป็น: id
sort
desc สำหรับ จากมากไปน้อย, asc สำหรับ จากน้อยไปมาก ค่าเริ่มต้นเป็น: desc
per_page
10, 25, 50, 100 ค่าเริ่มต้นเป็น: 10
จุดสิ้นสุด API
https://chimera.market.pna.co.th/api/v1/domains/{id}
ขอตัวอย่าง
curl --location --request GET 'https://chimera.market.pna.co.th/api/v1/domains/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
จุดสิ้นสุด API
https://chimera.market.pna.co.th/api/v1/domains
ขอตัวอย่าง
curl --location --request POST 'https://chimera.market.pna.co.th/api/v1/domains' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}'
Parameters
name
homepage_url
not_found_url
จุดสิ้นสุด API
https://chimera.market.pna.co.th/api/v1/domains/{id}
ขอตัวอย่าง
curl --location --request PUT 'https://chimera.market.pna.co.th/api/v1/domains/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
homepage_url
not_found_url
จุดสิ้นสุด API
https://chimera.market.pna.co.th/api/v1/domains/{id}
ขอตัวอย่าง
curl --location --request DELETE 'https://chimera.market.pna.co.th/api/v1/domains/{id}' \ --header 'Authorization: Bearer {api_key}'